*! version 2.0
* 29 Aug 2013
* NIDS
* Master Income do file for Nids Wave 2

* THIS IS THE MASTER INCOME DO FILE: 1 OF 7
* THESE 7 DO FILES CREATE THE NIDS WAVE 2 INCOME VARIABLES FOR PUBLIC RELEASE THAT ARE
* TO BE FOUND IN THE INDIVIDUAL AND HOUSEHOLD DERIVED DATASETS. 

*=====================================================================================================================================
* GLOBALS FOR DATA FILES, DO FILES AND VERSION SUFFIXES

global DataIN "\\137.158.104.21\data\Panel Public Release 2014a\Wave 2\Anon"
global DataOUT "C:\Users\01406074\Desktop"

global DoFilePath "C:\Users\01406074\Desktop\Release Files\W2 Income"  // file path to other income do files

global VersionIN "W2_Anon_V2.2"
global VersionOUT "Inc"

*=====================================================================================================================================
* SETTING UP STATA TO RUN DO FILES

clear
cap clear matrix
set more off 
set mem 400m

version 12.0

*-------------------------------------------------------------------------------------------------------------------------------------

*MERGING THE REQUIRED DATASETS: DO FILE 2 OF 7
do "$DoFilePath\Program 7.1 - Income - Merging datasets to create income variables (2 of 7).do"

*PREPARING THE RELEVANT VARIABLES FOR IMPUTATION: DO FILE 3 OF 7
do "$DoFilePath\Program 7.2 - Income - Preparing variables for imputation (3 of 7).do"

*PERFORMING THE IMPUTATIONS: DO FILE 4 OF 7
do "$DoFilePath\Program 7.3 - Income - Performing Imputations for missing data on Income variables (4 of 7).do"

*AGGREGATING THE PRE-IMPUTED VALUES: DO FILE 5 OF 7
do "$DoFilePath\Program 7.4 - Income - Aggregation of pre-imputation variables (5 of 7).do"

*AGGREGATING THE POST-IMPUTED VALUES: DO FILE 6 OF 7
do "$DoFilePath\Program 7.5 - Income - Aggregation of post-imputation variables (6 of 7).do"

*PREPARING THE DATA FOR PUBLIC RELEASE: DO FILE 7 OF 7
do "$DoFilePath\Program 7.6 - Income - Variables for public release (7 of 7).do"

* end of master do file

*=======================================================================================================================================
