*! version 2.0
* 29 Aug 2013
* NIDS
* Master wealth do file for Nids Wave 2

* THIS IS THE MASTER wealth DO FILE: 1 OF 6
* THESE 6 DO FILES CREATE THE NIDS WAVE 2 WEALTH VARIABLES FOR PUBLIC RELEASE THAT ARE
* TO BE FOUND IN THE INDIVIDUAL AND HOUSEHOLD DERIVED DATASETS.

*=====================================================================================================================================
* GLOBALS FOR DATA FILES, DO FILES AND VERSION SUFFIXES

global DataIN "\\137.158.104.21\data\Panel Public Release 2014a\Wave 2\Anon"
global DataOUT "C:\Users\01406074\Desktop"

global DoFilePath "C:\Users\01406074\Desktop\Release Files\W2 Wealth"  // file path to other wealth do files

global VersionIN "W2_Anon_V2.2"
global VersionOUT "Wealth"

*=====================================================================================================================================
* SETTING UP STATA TO RUN DO FILES

clear
cap clear matrix
set more off 
set mem 400m

version 12.0

*-------------------------------------------------------------------------------------------------------------------------------------


*MERGING THE REQUIRED DATASETS: DO FILE 2 OF 6
do "$DoFilePath\Program 9.1 - Wealth - Merging datasets to create wealth variables (2 of 6).do"

*PREPARING THE RELEVANT VARIABLES FOR IMPUTATION: DO FILE 3 OF 6
do "$DoFilePath\Program 9.2 - Wealth - Preparing variables for imputation (3 of 6).do"

*PERFORMING THE IMPUTATIONS: DO FILE 4 OF 6
do "$DoFilePath\Program 9.3 - Wealth - Performing Imputations on Wealth variables (4 of 6).do"

*AGGREGATING THE VALUES: DO FILE 5 OF 6
do "$DoFilePath\Program 9.4 - Wealth - Aggregation of imputation variables (5 of 6).do"

*PREPARING THE DATA FOR PUBLIC RELEASE: DO FILE 6 OF 6
do "$DoFilePath\Program 9.5 - Wealth - Variables for public release (6 of 6).do"

* end of master do file
*====================================================================================================================================
