*! version 2.1
* 18 November 2013
* NIDS
* Master Income do file for Nids Wave 3

* THIS IS THE MASTER INCOME DO FILE: 1 OF 7
* THESE 7 DO FILES CREATE THE NIDS WAVE 3 INCOME VARIABLES FOR PUBLIC RELEASE THAT ARE
* TO BE FOUND IN THE INDIVIDUAL AND HOUSEHOLD DERIVED DATASETS. 

*=====================================================================================================================================
* GLOBALS FOR DATA FILES, DO FILES AND VERSION SUFFIXES

global DataIN "\\137.158.104.21\data\Panel Public Release 2014a\Wave 3\Anon"
global DataOUT "C:\Users\01406074\Desktop"

global DoFilePath "C:\Users\01406074\Desktop\Release Files\W3 Income"  // file path to other income do files

global VersionIN "W3_Anon_V1.2"
global VersionOUT "Inc"

*=====================================================================================================================================
* SETTING UP STATA TO RUN DO FILES

clear
cap clear matrix
set more off 
set mem 400m

version 12.1

*-------------------------------------------------------------------------------------------------------------------------------------

*MERGING THE REQUIRED DATASETS: DO FILE 2 OF 7
do "$DoFilePath\Program 7.1 - Income - Merging datasets to create income variables (2 of 8).do"

*PREPARING OF AGRICULTURE VARIABLES
do "$DoFilePath\Program 7.2 - Income - Preparing Agriculture variables (3 of 8).do"

*PREPARING THE RELEVANT VARIABLES FOR IMPUTATION: DO FILE 3 OF 7
do "$DoFilePath\Program 7.3 - Income - Preparing variables for imputation (4 of 8).do"

*PERFORMING THE IMPUTATIONS: DO FILE 4 OF 7
do "$DoFilePath\Program 7.4 - Income - Performing Imputations for missing data on Income variables (5 of 8).do"

*AGGREGATING THE PRE-IMPUTED VALUES: DO FILE 5 OF 7
do "$DoFilePath\Program 7.5 - Income - Aggregation of pre-imputation variables (6 of 8).do"

*AGGREGATING THE POST-IMPUTED VALUES: DO FILE 6 OF 7
do "$DoFilePath\Program 7.6 - Income - Aggregation of post-imputation variables (7 of 8).do"

*PREPARING THE DATA FOR PUBLIC RELEASE: DO FILE 7 OF 7
do "$DoFilePath\Program 7.7 - Income - Variables for public release (8 of 8).do"

* end of master do file

*=======================================================================================================================================


